%define libname     %mklibname %name
%define develname   %mklibname -d %name

Name:       caja-actions
Version:    1.28.0
Release:    %mkrel 1
Group:      Graphical desktop/MATE
License:    GPLv2+ and LGPLv2+
Packager:   Agent Smith  <ruidobranco@yahoo.com.br>
Summary:    Caja extension for customizing the context menus

URL:		https://github.com/raveit65/caja-actions
Source0:	%{name}-%{version}.tar.xz

BuildRequires:	mate-file-manager-devel
BuildRequires:	%{_lib}uuid-devel
BuildRequires:	%{_lib}sm-devel
BuildRequires:	%{_lib}unique-devel
BuildRequires:	mate-common
BuildRequires:	%{_lib}xml2-devel
BuildRequires:	yelp-tools
BuildRequires:	%{_lib}gtop2.0-devel
BuildRequires:	itstool
BuildRequires:	dblatex
BuildRoot: 	%_tmppath/%name-%version-buildroot


%description
Caja actions is an extension for Caja, the MATE file manager.
It provides an easy way to configure programs to be launch on files
selected in Caja interface

%package -n %{name}-docs
Summary:    Documentations for %{name}
Group:      Documentation
Requires:   %{name} = %{version}-%{release}
BuildArch:  noarch

%description -n %{name}-docs
This package contains the documentation for %{name}

%package devel
Summary:    Development tools for the %{name}
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description devel
This package contains headers and shared libraries needed for development
with caja-actions.

%prep
%setup -q


%build
./autogen.sh
%configure2_5x \
    --disable-scrollkeeper



%make

%install
rm -rf %buildroot
%makeinstall_std

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
find %{buildroot} -type f -name "*.a" -exec rm -f {} ';'

# clean docs dirs
rm -f %{buildroot}%{_docdir}/%{name}-%{version}/INSTALL
rm -f %{buildroot}%{_docdir}/%{name}-%{version}/ChangeLog-2008
rm -f %{buildroot}%{_docdir}/%{name}-%{version}/ChangeLog-2009
rm -f %{buildroot}%{_docdir}/%{name}-%{version}/ChangeLog-2010
rm -f %{buildroot}%{_docdir}/%{name}-%{version}/ChangeLog-2011
rm -f %{buildroot}%{_docdir}/%{name}-%{version}/ChangeLog-2012
rm -f %{buildroot}%{_docdir}/%{name}-%{version}/MAINTAINERS

%find_lang %{name}

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files -f %{name}.lang
%{_bindir}/caja-actions-run
%{_bindir}/caja-actions-config-tool
%{_bindir}/caja-actions-new
%{_bindir}/caja-actions-print
%{_libexecdir}/caja-actions/
%{_datadir}/caja-actions/
%{_datadir}/icons/hicolor/*/apps/caja-actions.*
%{_datadir}/applications/cact.desktop
%{_datadir}/help/*/caja-actions-config-tool

%{_libdir}/caja-actions/
%{_libdir}/caja/extensions-2.0/libcaja-actions-menu.so
%{_libdir}/caja/extensions-2.0/libcaja-actions-tracker.so

%files -n %{name}-docs
%{_datadir}/doc

%files devel
%{_includedir}/caja-actions/


%changelog
* Fri Feb 23 2024 tex - 1.28.0-1pclos2024
- new version

* Sun Jul 30 2023 tex - 1.26.0-2pclos2023
- fix rpm group

* Sun Aug 08 2021 tex - 1.26.0-1pclos2021
- new version

* Fri Oct 04 2019 Ken  <lxgator@gmail.com> 1.8.3-1pclos2019
- Update to 1.8.3

* Wed Sep 13 2017 bb2 <bb2> - 1.8.2-2pclos2017
- rebuild against updates

* Sun Jul 12 2017 bb2 <bb2> - 1.8.2-1pclos2017
- new version

* Mon Jan 04 2016 tarakbumba Agent Smith  <ruidobranco@yahoo.com.br> 1.8.1-1pclos2016.src.rpm
- Created the package caja-actions, with specs from Fedora and Mageia, latest sources.
